# $Revision: 1.24 $, $Date: 2004/02/12 20:29:02 $
Summary:	Fast Assembly Mpeg Encoding library
Summary(pl):	Szybka biblioteka kodujca MPEG
Name:		libfame
Version:	0.9.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/fame/%{name}-%{version}.tar.gz
# Source0-md5:	880085761e17a3b4fc41f4f6f198fd3b
Patch0:		%{name}-am18.patch
URL:		http://fame.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAME is a library for fast MPEG encoding.

%description -l pl
FAME to biblioteka do szybkiego kodowania MPEG.

%package devel
Summary:	Includes to develop using FAME
Summary(pl):	Pliki nagwkowe FAME
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
FAME is a library for fast MPEG encoding. This package contains
include files and other resources you can use to develop FAME
applications.

%description devel -l pl
FAME to biblioteka do szybkiego kodowania MPEG. Ten pakiet zawiera
pliki nagwkowe i inne potrzebne do tworzenia aplikacji
korzystajcych z FAME.

%package static
Summary:	FAME static libraries
Summary(pl):	Biblioteki statyczne FAME
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FAME is a library for fast MPEG encoding. This package contains static
version of FAME library.

%description static -l pl
FAME to biblioteka do szybkiego kodowania MPEG. Ten pakiet zawiera
statyczn wersj biblioteki FAME.

%prep
%setup -q
%patch0 -p1

rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CHANGES README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_includedir}/fame*.h
%{_aclocaldir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libfame.spec,v $
Revision 1.24  2004/02/12 20:29:02  qboosh
- updated to 0.9.1

Revision 1.23  2003/12/30 03:32:10  qboosh
- added am18 patch, more docs, release 2

Revision 1.22  2003/09/01 16:59:26  qboosh
- fixed descriptions

Revision 1.21  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.20  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/16 12:47:35  qboosh
- removed SONAME symlink

Revision 1.17  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.16  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.15  2002/11/05 20:20:57  malekith
- spelling fix

Revision 1.14  2002/11/05 20:01:37  aflinta
- updated to version 0.9.0

Revision 1.13  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/09 12:06:09  aflinta
- added missing libfame.la file to devel subpackage
- release 2

Revision 1.11  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/08 07:05:09  kloczek
- added full regenerate ac/am/lt files
- remove acinclude.m4 before regeneration because it contain private copy
  sdl.m4 aclocal macros (interesting .. libfame does not use SDL at all :)

Revision 1.8  2002/05/07 21:44:49  marcus
- new version 0.8.10, fixed Source0

Revision 1.7  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/17 02:41:16  kloczek
- updated to 0.8.9 (new stable version),
- switch to DESTDIR style %install.

Revision 1.5  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/04 14:53:23  qboosh
- pl translations, separated -static, gzip doc; release 2

Revision 1.3  2001/10/31 13:28:14  wiget
added URL for Source0

Revision 1.2  2001/10/31 12:50:40  wiget
only adapterized
